Support for Maven, equivalence of building tools update for kilim 0.7.3 #10

Closed
wants to merge 3 commits into
from

Conversation

Projects
None yet
2 participants
@Pyrolistical

This pull request is the same as #7 except I rebased to kilim 0.7.3 and fixed some maven 3.0 warnings.

I also was able to add weave step after compile directly into maven with:

<build>
    <plugins>
        <plugin>
            <groupId>org.codehaus.mojo</groupId>
            <artifactId>exec-maven-plugin</artifactId>
            <version>1.2.1</version>
            <executions>
                <execution>
                    <id>weave test classes</id>
                    <phase>process-classes</phase>
                    <goals>
                        <goal>exec</goal>
                    </goals>
                    <configuration>
                        <executable>java</executable>
                        <arguments>
                            <argument>-classpath</argument>
                            <classpath />
                            <argument>kilim.tools.Weaver</argument>
                            <argument>${project.build.outputDirectory}</argument>
                            <argument>-d</argument>
                            <argument>${project.build.outputDirectory}</argument>
                        </arguments>
                    </configuration>
                </execution>
            </executions>
        </plugin>
    </plugins>
</build>

ianatha and others added some commits Jan 12, 2011

Support for Maven, equivalence of building tools.
pom.xml is a Maven module for kilim (named kilim:kilim:0.7.2-SNAPSHOT).
It currently compiles identically to the "build.sh" script, as reported
by the "build-equiv.sh" script. No gurantees about the execution of the
unit tests are made.

build-equiv.sh compares the binary results of the three build tools
supported in kilim, right now: Maven, Ant, Shell Script.

In terms of the results of the binary comparison, right now:
Maven == ShellScript != Ant
updated maven kilim version to 0.7.3
added version to plugin to fix maven 3 warning

pellcorp added a commit to pellcorp/kilim that referenced this pull request Mar 14, 2013

@Pyrolistical

This comment has been minimized.

Show comment Hide comment
@Pyrolistical

Pyrolistical Apr 13, 2016

Uhhhhhh my heart

Uhhhhhh my heart

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment